Bug 361236 (aurorae-crash-qml-write) - Aurorae crashes in QQmlBinding::write on creation - Qt 5.6
Summary: Aurorae crashes in QQmlBinding::write on creation - Qt 5.6
Status: RESOLVED UPSTREAM
Alias: aurorae-crash-qml-write
Product: kwin
Classification: Plasma
Component: aurorae (show other bugs)
Version: 5.6.1
Platform: OpenSUSE Linux
: NOR crash with 2 votes (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: drkonqi
: 363045 363196 363221 364083 364121 364453 364632 364690 364842 364881 365170 365593 365644 365842 365896 365988 366012 366096 366097 366126 366198 366240 366331 366393 366443 366761 367733 367862 367951 368993 369013 369534 369591 369907 370174 370432 370512 370614 370624 370724 370999 371802 371824 371839 371929 371978 372089 372325 372413 372495 372663 372817 372962 373043 373170 373212 373413 373472 373604 373785 373800 373805 374002 374034 374100 374129 374408 374491 374592 374618 374681 374711 375023 375038 375242 375389 375400 375407 376125 377440 377576 377804 377813 378230 378245 378246 378291 378346 378398 378401 378782 378907 379376 379558 379687 380184 380226 381610 382059 389936 393063 396506 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-03-31 14:55 UTC by Pedro de Carvalho Gomes
Modified: 2018-07-14 17:06 UTC (History)
73 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (11.15 KB, text/plain)
2016-12-21 22:07 UTC, Evgeni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro de Carvalho Gomes 2016-03-31 14:55:18 UTC
Application: kwin_x11 (5.6.1)

Qt Version: 5.6.0
Frameworks Version: 5.20.0
Operating System: Linux 4.5.0-5.g8cf0ce6-default x86_64
Distribution: "openSUSE Leap 42.1 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

I had just started a new KDE session, and NetworkManager was still connecting to the wi-fi.

I right-clicked in the system's tray arrow. It show the menu with "Configurations of the system tray" (Inställningar av systembricka in Swedish), and then I left-click on it. The configuration window opens despite the crash.

- Unusual behavior I noticed: the crash just happens once. After, Kwin is restarted automatically, and the crash no longer happens when I try to open the system tray configuration.

- Custom settings of the application: SV (Swedish) localization.

The crash can be reproduced every time.

-- Backtrace:
Application: Kwin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7febd387c840 (LWP 2746))]

Thread 6 (Thread 0x7febb925d700 (LWP 2756)):
#0  0x00007febd31f3bbd in poll () from /lib64/libc.so.6
#1  0x00007febd0b2b422 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007febd0b2d00f in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007febba133979 in QXcbEventReader::run (this=0xb76200) at qxcbconnection.cpp:1313
#4  0x00007febd0def079 in QThreadPrivate::start (arg=0xb76200) at thread/qthread_unix.cpp:340
#5  0x00007febd28130a4 in start_thread () from /lib64/libpthread.so.0
#6  0x00007febd31fbfed in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7febb3151700 (LWP 2761)):
#0  0x00007febd31f5253 in select () from /lib64/libc.so.6
#1  0x00007febd0ffc8e9 in qt_safe_select (nfds=8, fdread=0x7febac000a98, fdwrite=0x7febac000d28, fdexcept=0x7febac000fb8, orig_timeout=0x0) at kernel/qcore_unix.cpp:75
#2  0x00007febd0ffe1b5 in QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7febac000900, flags=..., flags@entry=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:196
#3  0x00007febd0ffe5f7 in QEventDispatcherUNIX::processEvents (this=0x7febac0008e0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#4  0x00007febd0fae04b in QEventLoop::exec (this=this@entry=0x7febb3150d60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007febd0dea5da in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007febc9e3b095 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007febd0def079 in QThreadPrivate::start (arg=0x7febca0a3d00) at thread/qthread_unix.cpp:340
#8  0x00007febd28130a4 in start_thread () from /lib64/libpthread.so.0
#9  0x00007febd31fbfed in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7febb0e28700 (LWP 2770)):
#0  0x00007febd31f5253 in select () from /lib64/libc.so.6
#1  0x00007febd0ffc8e9 in qt_safe_select (nfds=14, fdread=0x7feba8000a98, fdwrite=0x7feba8000d28, fdexcept=0x7feba8000fb8, orig_timeout=0x0) at kernel/qcore_unix.cpp:75
#2  0x00007febd0ffe1b5 in QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7feba8000900, flags=..., flags@entry=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:196
#3  0x00007febd0ffe5f7 in QEventDispatcherUNIX::processEvents (this=0x7feba80008e0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#4  0x00007febd0fae04b in QEventLoop::exec (this=this@entry=0x7febb0e27d70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007febd0dea5da in QThread::exec (this=this@entry=0xf5a3e0) at thread/qthread.cpp:503
#6  0x00007febcaeb44d8 in QQmlThreadPrivate::run (this=0xf5a3e0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007febd0def079 in QThreadPrivate::start (arg=0xf5a3e0) at thread/qthread_unix.cpp:340
#8  0x00007febd28130a4 in start_thread () from /lib64/libpthread.so.0
#9  0x00007febd31fbfed in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7feba27fd700 (LWP 2779)):
#0  0x00007febd281703f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007febcfd6797b in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007febcfd679a9 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007febd28130a4 in start_thread () from /lib64/libpthread.so.0
#4  0x00007febd31fbfed in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7feb0e757700 (LWP 3088)):
#0  0x00007febd31f5253 in select () from /lib64/libc.so.6
#1  0x00007febd0ffc8e9 in qt_safe_select (nfds=18, fdread=0x7feb080add68, fdwrite=0x7feb080adff8, fdexcept=0x7feb080ae288, orig_timeout=0x0) at kernel/qcore_unix.cpp:75
#2  0x00007febd0ffe1b5 in QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7feb080adbd0, flags=..., flags@entry=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:196
#3  0x00007febd0ffe5f7 in QEventDispatcherUNIX::processEvents (this=0x7feb0806b2b0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#4  0x00007febd0fae04b in QEventLoop::exec (this=this@entry=0x7feb0e756d70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007febd0dea5da in QThread::exec (this=this@entry=0xd7d2b0) at thread/qthread.cpp:503
#6  0x00007febcaeb44d8 in QQmlThreadPrivate::run (this=0xd7d2b0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007febd0def079 in QThreadPrivate::start (arg=0xd7d2b0) at thread/qthread_unix.cpp:340
#8  0x00007febd28130a4 in start_thread () from /lib64/libpthread.so.0
#9  0x00007febd31fbfed in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7febd387c840 (LWP 2746)):
[KCrash Handler]
#6  as<QV4::QQmlValueTypeWrapper const> (this=0x7feb0d758320) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/jsruntime/qv4value_p.h:349
#7  QQmlBinding::write (this=this@entry=0xfd24b0, core=..., result=..., isUndefined=<optimized out>, flags=...) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/qml/qqmlbinding.cpp:257
#8  0x00007febcaea21aa in QQmlBinding::update (this=0xfd24b0, flags=...) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/qml/qqmlbinding.cpp:191
#9  0x00007febcaeaae46 in QQmlObjectCreator::finalize (this=0xd27140, interrupt=...) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/qml/qqmlobjectcreator.cpp:1191
#10 0x00007febcae39ceb in QQmlComponentPrivate::complete (enginePriv=0xe98eb0, state=state@entry=0xcf35b0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/qml/qqmlcomponent.cpp:912
#11 0x00007febcae39da7 in QQmlComponentPrivate::completeCreate (this=0xcf3510) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/qml/qqmlcomponent.cpp:948
#12 0x00007febcae39c30 in QQmlComponent::create (this=0xdd8560, context=0xcfa210) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/qml/qqmlcomponent.cpp:774
#13 0x00007febb10897cf in Aurorae::Decoration::init (this=0xe46c10) at /usr/src/debug/kwin-5.6.1/clients/aurorae/src/aurorae.cpp:316
#14 0x00007febd2e280c7 in KWin::Decoration::DecorationBridge::createDecoration (this=0xc46690, client=client@entry=0xd50e60) at /usr/src/debug/kwin-5.6.1/decorations/decorationbridge.cpp:254
#15 0x00007febd2d1db11 in KWin::Client::createDecoration (this=this@entry=0xd50e60, oldgeom=...) at /usr/src/debug/kwin-5.6.1/client.cpp:393
#16 0x00007febd2d1e5cb in KWin::Client::updateDecoration (this=0xd50e60, check_workspace_pos=<optimized out>, force=<optimized out>) at /usr/src/debug/kwin-5.6.1/client.cpp:380
#17 0x00007febd2d79ff2 in KWin::Client::manage (this=this@entry=0xd50e60, w=w@entry=50331787, isMapped=isMapped@entry=false) at /usr/src/debug/kwin-5.6.1/manage.cpp:385
#18 0x00007febd2d026cb in KWin::Workspace::createClient (this=this@entry=0xc0e2c0, w=50331787, is_mapped=is_mapped@entry=false) at /usr/src/debug/kwin-5.6.1/workspace.cpp:483
#19 0x00007febd2d62730 in KWin::Workspace::workspaceEvent (this=0xc0e2c0, e=0x7febb4001570) at /usr/src/debug/kwin-5.6.1/events.cpp:417
#20 0x00007febd0fad2e0 in QAbstractEventDispatcher::filterNativeEvent (this=<optimized out>, eventType=..., message=message@entry=0x7febb4001570, result=result@entry=0x7fffa3324088) at kernel/qabstracteventdispatcher.cpp:460
#21 0x00007febba131d54 in QXcbConnection::handleXcbEvent (this=this@entry=0xb68670, event=event@entry=0x7febb4001570) at qxcbconnection.cpp:1087
#22 0x00007febba133d7b in QXcbConnection::processXcbEvents (this=0xb68670) at qxcbconnection.cpp:1701
#23 0x00007febd0fdb1f6 in QObject::event (this=0xb68670, e=<optimized out>) at kernel/qobject.cpp:1256
#24 0x00007febd1cb460c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0xb68670, e=0x7febb4002200) at kernel/qapplication.cpp:3714
#25 0x00007febd1cb8a22 in QApplication::notify (this=0x7fffa3324740, receiver=0xb68670, e=0x7febb4002200) at kernel/qapplication.cpp:3495
#26 0x00007febd0fb0005 in QCoreApplication::notifyInternal2 (receiver=0xb68670, event=event@entry=0x7febb4002200) at kernel/qcoreapplication.cpp:1015
#27 0x00007febd0fb1dea in sendEvent (event=0x7febb4002200, receiver=<optimized out>) at kernel/qcoreapplication.h:227
#28 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xb45030) at kernel/qcoreapplication.cpp:1650
#29 0x00007febd0ffe584 in QEventDispatcherUNIX::processEvents (this=0xba58e0, flags=flags@entry=...) at kernel/qeventdispatcher_unix.cpp:579
#30 0x00007febba19432d in QUnixEventDispatcherQPA::processEvents (this=<optimized out>, flags=...) at eventdispatchers/qunixeventdispatcher.cpp:62
#31 0x00007febd0fae04b in QEventLoop::exec (this=this@entry=0x7fffa3324640, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#32 0x00007febd0fb5f56 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1285
#33 0x00007febd14fb89c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1598
#34 0x00007febd1cb1835 in QApplication::exec () at kernel/qapplication.cpp:2973
#35 0x00007febd34c4d6a in kdemain (argc=1, argv=0x7fffa33248b8) at /usr/src/debug/kwin-5.6.1/main_x11.cpp:327
#36 0x00007febd3138b05 in __libc_start_main () from /lib64/libc.so.6
#37 0x00000000004007fe in _start () at ../sysdeps/x86_64/start.S:122

Reported using DrKonqi
Comment 1 Martin Flöser 2016-04-01 13:39:47 UTC
as a workaround use the Breeze decoration.
Comment 2 Thomas Lübking 2016-04-01 14:58:22 UTC
"quelle surprise" ...
Comment 3 Thomas Lübking 2016-04-01 15:04:01 UTC
PS, @Pedro
run "kcmshell5 kwindecoration" and select the breeze decoration to avoid this crash. Things like the tabbox, the desktop switching indicators or the buttons in desktopgrid/presentwindows might still cause such crashed (thus less likely)
Comment 4 Thomas Lübking 2016-05-13 21:37:58 UTC
*** Bug 363045 has been marked as a duplicate of this bug. ***
Comment 5 Martin Flöser 2016-05-18 06:07:49 UTC
*** Bug 363196 has been marked as a duplicate of this bug. ***
Comment 6 Martin Flöser 2016-05-18 06:15:37 UTC
Reported upstream bug report: https://bugreports.qt.io/browse/QTBUG-53452
Comment 7 Thomas Lübking 2016-05-18 18:24:38 UTC
*** Bug 363221 has been marked as a duplicate of this bug. ***
Comment 8 Thomas Lübking 2016-06-08 07:18:02 UTC
*** Bug 364083 has been marked as a duplicate of this bug. ***
Comment 9 Thomas Lübking 2016-06-10 16:38:00 UTC
*** Bug 364121 has been marked as a duplicate of this bug. ***
Comment 10 Thomas Lübking 2016-06-18 13:05:19 UTC
*** Bug 364453 has been marked as a duplicate of this bug. ***
Comment 11 Thomas Lübking 2016-06-22 10:41:46 UTC
*** Bug 364632 has been marked as a duplicate of this bug. ***
Comment 12 Thomas Lübking 2016-06-24 06:16:13 UTC
*** Bug 364690 has been marked as a duplicate of this bug. ***
Comment 13 Martin Flöser 2016-06-28 07:29:27 UTC
*** Bug 364842 has been marked as a duplicate of this bug. ***
Comment 14 Martin Flöser 2016-06-29 05:57:12 UTC
*** Bug 364881 has been marked as a duplicate of this bug. ***
Comment 15 Thomas Lübking 2016-07-06 20:37:39 UTC
*** Bug 365170 has been marked as a duplicate of this bug. ***
Comment 16 Thomas Lübking 2016-07-13 07:17:56 UTC
*** Bug 365593 has been marked as a duplicate of this bug. ***
Comment 17 Martin Flöser 2016-07-14 06:13:38 UTC
*** Bug 365644 has been marked as a duplicate of this bug. ***
Comment 18 Martin Flöser 2016-07-19 10:34:21 UTC
*** Bug 365842 has been marked as a duplicate of this bug. ***
Comment 19 Thomas Lübking 2016-07-20 13:21:17 UTC
*** Bug 365896 has been marked as a duplicate of this bug. ***
Comment 20 Thomas Lübking 2016-07-22 16:23:58 UTC
*** Bug 365988 has been marked as a duplicate of this bug. ***
Comment 21 Thomas Lübking 2016-07-23 12:56:10 UTC
*** Bug 366012 has been marked as a duplicate of this bug. ***
Comment 22 Thomas Lübking 2016-07-25 17:15:31 UTC
*** Bug 366096 has been marked as a duplicate of this bug. ***
Comment 23 Thomas Lübking 2016-07-25 18:11:47 UTC
*** Bug 366097 has been marked as a duplicate of this bug. ***
Comment 24 Thomas Lübking 2016-07-26 11:35:47 UTC
*** Bug 366126 has been marked as a duplicate of this bug. ***
Comment 25 Martin Flöser 2016-08-01 07:33:06 UTC
*** Bug 366240 has been marked as a duplicate of this bug. ***
Comment 26 Martin Flöser 2016-08-01 07:37:55 UTC
*** Bug 366198 has been marked as a duplicate of this bug. ***
Comment 27 Rex Dieter 2016-08-01 17:59:55 UTC
*** Bug 366331 has been marked as a duplicate of this bug. ***
Comment 28 Martin Flöser 2016-08-04 05:43:23 UTC
*** Bug 366393 has been marked as a duplicate of this bug. ***
Comment 29 Martin Flöser 2016-08-05 11:43:14 UTC
*** Bug 366443 has been marked as a duplicate of this bug. ***
Comment 30 Martin Flöser 2016-08-15 05:48:26 UTC
*** Bug 366761 has been marked as a duplicate of this bug. ***
Comment 31 Martin Flöser 2016-08-24 05:40:13 UTC
*** Bug 367733 has been marked as a duplicate of this bug. ***
Comment 32 Martin Flöser 2016-08-27 06:34:47 UTC
*** Bug 367862 has been marked as a duplicate of this bug. ***
Comment 33 Martin Flöser 2016-08-29 09:37:30 UTC
*** Bug 367951 has been marked as a duplicate of this bug. ***
Comment 34 Martin Flöser 2016-10-04 07:16:10 UTC
*** Bug 368993 has been marked as a duplicate of this bug. ***
Comment 35 Martin Flöser 2016-10-04 07:18:01 UTC
*** Bug 369013 has been marked as a duplicate of this bug. ***
Comment 36 Martin Flöser 2016-10-04 07:58:18 UTC
*** Bug 369534 has been marked as a duplicate of this bug. ***
Comment 37 Martin Flöser 2016-10-04 08:03:03 UTC
*** Bug 369591 has been marked as a duplicate of this bug. ***
Comment 38 Martin Flöser 2016-10-05 05:34:51 UTC
*** Bug 369907 has been marked as a duplicate of this bug. ***
Comment 39 Martin Flöser 2016-10-06 05:14:14 UTC
*** Bug 370174 has been marked as a duplicate of this bug. ***
Comment 40 Martin Flöser 2016-10-11 05:29:57 UTC
*** Bug 370432 has been marked as a duplicate of this bug. ***
Comment 41 Martin Flöser 2016-10-12 05:31:19 UTC
*** Bug 370512 has been marked as a duplicate of this bug. ***
Comment 42 Martin Flöser 2016-10-13 05:35:17 UTC
*** Bug 370614 has been marked as a duplicate of this bug. ***
Comment 43 Martin Flöser 2016-10-13 07:49:09 UTC
*** Bug 370624 has been marked as a duplicate of this bug. ***
Comment 44 Martin Flöser 2016-10-14 05:31:44 UTC
*** Bug 370724 has been marked as a duplicate of this bug. ***
Comment 45 Martin Flöser 2016-10-17 11:52:47 UTC
*** Bug 370999 has been marked as a duplicate of this bug. ***
Comment 46 Martin Flöser 2016-10-29 13:11:27 UTC
*** Bug 371802 has been marked as a duplicate of this bug. ***
Comment 47 Martin Flöser 2016-10-29 14:32:53 UTC
*** Bug 371824 has been marked as a duplicate of this bug. ***
Comment 48 Martin Flöser 2016-10-30 08:02:18 UTC
*** Bug 371839 has been marked as a duplicate of this bug. ***
Comment 49 H.H. 2016-10-30 11:22:32 UTC
If developers are unable to reproduce / debug the crash, perhaps I can help, when you tell me where to insert debug output, or even better send me a modified binary (.so) with debug output.
Comment 50 Martin Flöser 2016-10-30 17:28:37 UTC
(In reply to H.H. from comment #49)
> If developers are unable to reproduce / debug the crash, perhaps I can help,
> when you tell me where to insert debug output, or even better send me a
> modified binary (.so) with debug output.

Thanks for the offer. What we need most is a reliable way to reproduce the problem. Currently all we know is that opening some windows crashes it. But as I have never hit it myself, there must be something extremely important to trigger the crash.

At the moment we are rather clueless at what could trigger the crash. We just don't see anything in the backtrace due to it being Qml. Once we would be able to reproduce we could investigate properly and figure out the condition.

So what's most important is to figure out how to reproduce it.
Comment 51 deviatov 2016-10-30 17:33:00 UTC
For me, the crash occurs every time I log into the system (and some programs start automatically, they were saved in the previous session).
Comment 52 grglsn765 2016-10-31 02:22:31 UTC
I just figured out how I can reproduce the fault every time. If I follow this sequence, kwin will always crash on a segmentation fault - 

1. login to kde
2. After logging in, open dolphin, and leave the window open
3. Open libreoffice write, and then close it
4. Open kwrite, and then close it.
5. Open konsole. This is when kwin crashes. Every time.

I haven't tested it on opening other applications, but so far this sequence will consistently reproduce the crash. Here is my backtrace:

Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fbc9e6c3800 (LWP 25610))]

Thread 5 (Thread 0x7fbc7607f700 (LWP 26227)):
#0  0x00007fbc9e03dbfd in poll () from /lib64/libc.so.6
#1  0x00007fbc9b57de0a in poll (__timeout=-1, __nfds=1, __fds=0x7fbbe806ce08) at /usr/include/bits/poll2.h:46
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7fbbe806ce08) at kernel/qcore_unix.cpp:93
#3  qt_safe_poll (fds=0x7fbbe806ce08, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:112
#4  0x00007fbc9b57f63b in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:495
#5  0x00007fbc9b53189b in QEventLoop::exec (this=this@entry=0x7fbc7607edb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007fbc9b37802a in QThread::exec (this=this@entry=0x1d8c600) at thread/qthread.cpp:507
#7  0x00007fbc961a3ae8 in QQmlThreadPrivate::run (this=0x1d8c600) at /usr/src/debug/qtdeclarative-opensource-src-5.7.0/src/qml/qml/ftw/qqmlthread.cpp:147
#8  0x00007fbc9b37c859 in QThreadPrivate::start (arg=0x1d8c600) at thread/qthread_unix.cpp:344
#9  0x00007fbc9d1de0a4 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fbc9e04602d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fbc76de0700 (LWP 25631)):
#0  0x00007fbc9d1e203f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc9a51098b in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007fbc9a5109b9 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007fbc9d1de0a4 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fbc9e04602d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fbc77de1700 (LWP 25629)):
#0  0x00007fbc9e03dbfd in poll () from /lib64/libc.so.6
#1  0x00007fbc9b57de0a in poll (__timeout=-1, __nfds=1, __fds=0x7fbc6c000ae8) at /usr/include/bits/poll2.h:46
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7fbc6c000ae8) at kernel/qcore_unix.cpp:93
#3  qt_safe_poll (fds=0x7fbc6c000ae8, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:112
#4  0x00007fbc9b57f63b in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:495
#5  0x00007fbc9b53189b in QEventLoop::exec (this=this@entry=0x7fbc77de0db0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007fbc9b37802a in QThread::exec (this=this@entry=0x1edd610) at thread/qthread.cpp:507
#7  0x00007fbc961a3ae8 in QQmlThreadPrivate::run (this=0x1edd610) at /usr/src/debug/qtdeclarative-opensource-src-5.7.0/src/qml/qml/ftw/qqmlthread.cpp:147
#8  0x00007fbc9b37c859 in QThreadPrivate::start (arg=0x1edd610) at thread/qthread_unix.cpp:344
#9  0x00007fbc9d1de0a4 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fbc9e04602d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fbc87277700 (LWP 25618)):
#0  0x00007fbc9e039ccd in read () from /lib64/libc.so.6
#1  0x00007fbc8eefb073 in ?? () from /usr/lib64/tls/libnvidia-tls.so.367.57
#2  0x00007fbc92e9db60 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbc92e5c999 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbc92e5cdf8 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fbc92e5cf7c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007fbc9b581f2c in QEventDispatcherGlib::processEvents (this=0x7fbc800008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#7  0x00007fbc9b53189b in QEventLoop::exec (this=this@entry=0x7fbc87276da0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#8  0x00007fbc9b37802a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#9  0x00007fbc9538aaa5 in ?? () from /usr/lib64/libQt5DBus.so.5
#10 0x00007fbc9b37c859 in QThreadPrivate::start (arg=0x7fbc955f1d00) at thread/qthread_unix.cpp:344
#11 0x00007fbc9d1de0a4 in start_thread () from /lib64/libpthread.so.0
#12 0x00007fbc9e04602d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fbc9e6c3800 (LWP 25610)):
[KCrash Handler]
#6  QV4::Value::as<QV4::QQmlValueTypeWrapper const> (this=0x7fbc75080320) at /usr/src/debug/qtdeclarative-opensource-src-5.7.0/src/qml/jsruntime/qv4value_p.h:377
#7  QQmlBinding::write (this=this@entry=0x26de960, core=..., result=..., isUndefined=<optimized out>, flags=...) at /usr/src/debug/qtdeclarative-opensource-src-5.7.0/src/qml/qml/qqmlbinding.cpp:260
#8  0x00007fbc96191380 in QQmlBinding::update (this=0x26de960, flags=...) at /usr/src/debug/qtdeclarative-opensource-src-5.7.0/src/qml/qml/qqmlbinding.cpp:197
#9  0x00007fbc9619a5cf in QQmlObjectCreator::finalize (this=0x202fd60, interrupt=...) at /usr/src/debug/qtdeclarative-opensource-src-5.7.0/src/qml/qml/qqmlobjectcreator.cpp:1202
#10 0x00007fbc9612866b in QQmlComponentPrivate::complete (enginePriv=0x1e07cd0, state=state@entry=0x1f5a430) at /usr/src/debug/qtdeclarative-opensource-src-5.7.0/src/qml/qml/qqmlcomponent.cpp:926
#11 0x00007fbc96128727 in QQmlComponentPrivate::completeCreate (this=0x1f5a390) at /usr/src/debug/qtdeclarative-opensource-src-5.7.0/src/qml/qml/qqmlcomponent.cpp:962
#12 0x00007fbc961285b0 in QQmlComponent::create (this=0x1e3a8b0, context=0x26a99e0) at /usr/src/debug/qtdeclarative-opensource-src-5.7.0/src/qml/qml/qqmlcomponent.cpp:788
#13 0x00007fbc7c14f6df in Aurorae::Decoration::init (this=0x1e4a1b0) at /usr/src/debug/kwin-5.8.2/plugins/kdecorations/aurorae/src/aurorae.cpp:316
#14 0x00007fbc9dc7aea7 in KWin::Decoration::DecorationBridge::createDecoration (this=0x1cd7210, client=client@entry=0x2efadd0) at /usr/src/debug/kwin-5.8.2/decorations/decorationbridge.cpp:260
#15 0x00007fbc9db638a1 in KWin::Client::createDecoration (this=this@entry=0x2efadd0, oldgeom=...) at /usr/src/debug/kwin-5.8.2/client.cpp:393
#16 0x00007fbc9db6435b in KWin::Client::updateDecoration (this=0x2efadd0, check_workspace_pos=<optimized out>, force=<optimized out>) at /usr/src/debug/kwin-5.8.2/client.cpp:380
#17 0x00007fbc9dbc28f6 in KWin::Client::manage (this=this@entry=0x2efadd0, w=w@entry=77594630, isMapped=isMapped@entry=false) at /usr/src/debug/kwin-5.8.2/manage.cpp:390
#18 0x00007fbc9db476f4 in KWin::Workspace::createClient (this=this@entry=0x1d79b80, w=77594630, is_mapped=is_mapped@entry=false) at /usr/src/debug/kwin-5.8.2/workspace.cpp:517
#19 0x00007fbc9dbb0b00 in KWin::Workspace::workspaceEvent (this=0x1d79b80, e=0x7fbc78001430) at /usr/src/debug/kwin-5.8.2/events.cpp:421
#20 0x00007fbc9b530b30 in QAbstractEventDispatcher::filterNativeEvent (this=<optimized out>, eventType=..., message=message@entry=0x7fbc78001430, result=result@entry=0x7ffda8992eb8) at kernel/qabstracteventdispatcher.cpp:466
#21 0x00007fbc84f1f784 in QXcbConnection::handleXcbEvent (this=this@entry=0x1c2e810, event=event@entry=0x7fbc78001430) at qxcbconnection.cpp:1103
#22 0x00007fbc84f217de in QXcbConnection::processXcbEvents (this=0x1c2e810) at qxcbconnection.cpp:1735
#23 0x00007fbc9b55cdc6 in QObject::event (this=0x1c2e810, e=<optimized out>) at kernel/qobject.cpp:1263
#24 0x00007fbc9c1eaa9c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x1c2e810, e=0x7fbc780044d0) at kernel/qapplication.cpp:3799
#25 0x00007fbc9c1f1a20 in QApplication::notify (this=0x7ffda89935e0, receiver=0x1c2e810, e=0x7fbc780044d0) at kernel/qapplication.cpp:3556
#26 0x00007fbc9b5335c5 in QCoreApplication::notifyInternal2 (receiver=0x1c2e810, event=event@entry=0x7fbc780044d0) at kernel/qcoreapplication.cpp:988
#27 0x00007fbc9b535623 in QCoreApplication::sendEvent (event=0x7fbc780044d0, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#28 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x1c2cdf0) at kernel/qcoreapplication.cpp:1649
#29 0x00007fbc9b57f444 in QEventDispatcherUNIX::processEvents (this=0x1cad2f0, flags=flags@entry=...) at kernel/qeventdispatcher_unix.cpp:461
#30 0x00007fbc84f87bed in QUnixEventDispatcherQPA::processEvents (this=<optimized out>, flags=...) at eventdispatchers/qunixeventdispatcher.cpp:68
#31 0x00007fbc9b53189b in QEventLoop::exec (this=this@entry=0x7ffda89934e0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#32 0x00007fbc9b539696 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1261
#33 0x00007fbc9ba7debc in QGuiApplication::exec () at kernel/qguiapplication.cpp:1639
#34 0x00007fbc9c1ea9f5 in QApplication::exec () at kernel/qapplication.cpp:2975
#35 0x00007fbc9e3129fc in kdemain (argc=1, argv=0x7ffda8993768) at /usr/src/debug/kwin-5.8.2/main_x11.cpp:466
#36 0x00007fbc9df82b25 in __libc_start_main () from /lib64/libc.so.6
#37 0x00000000004007ee in _start () at ../sysdeps/x86_64/start.S:122
Comment 53 Martin Flöser 2016-11-01 07:48:35 UTC
*** Bug 371929 has been marked as a duplicate of this bug. ***
Comment 54 Martin Flöser 2016-11-02 16:32:29 UTC
*** Bug 371978 has been marked as a duplicate of this bug. ***
Comment 55 Martin Flöser 2016-11-05 13:52:16 UTC
*** Bug 372089 has been marked as a duplicate of this bug. ***
Comment 56 Martin Flöser 2016-11-11 09:09:27 UTC
*** Bug 372325 has been marked as a duplicate of this bug. ***
Comment 57 Martin Flöser 2016-11-14 08:31:23 UTC
*** Bug 372413 has been marked as a duplicate of this bug. ***
Comment 58 Bernhard Übelacker 2016-11-14 11:05:40 UTC
I received the same crash in current Debian Stretch.
(qtbase5 5.6.1, kwin-x11, 5.8.2, was a dist-upgrade from Jessie)

For me it is reproducible on every switch from Breeze to Plastik
window decorations.

apt-get install kwin-x11-dbgsym qtbase5-dbg kwin-common-dbgsym qtdeclarative5-dbg qtdeclarative5-dev

(gdb) up
#7  QQmlBinding::write (this=this@entry=0x55a99a0, core=..., result=..., isUndefined=<optimized out>, flags=...) at qml/qqmlbinding.cpp:257
257                 if (const QV4::QQmlValueTypeWrapper *vtw = result.as<const QV4::QQmlValueTypeWrapper>()) {

(gdb) print core.propType
$7 = 39
/* seems to be /* QMetaType::QObjectStar */

(gdb) down
#6  QV4::Value::as<QV4::QQmlValueTypeWrapper const> (this=0x7fbc2d3bd320) at ../../include/QtQml/5.6.1/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:351
351                 vt = vt->parent;

(gdb) print vt
$11 = (const QV4::VTable *) 0x7fbc4810
(gdb) print *vt
Cannot access memory at address 0x7fbc4810

Is there anything I can supply (other than a small test case)?
Comment 59 Bernhard Übelacker 2016-11-14 14:13:57 UTC
Tried to find out what in method QV4::Value::as should happen.
I _think_ the loop is entered with more or less the _val member
casted to const QV4::VTable *.
At least when I try this manually I end up with the same invalid pointer.


So it looks like the parents parent pointer got truncated somehow:
  0x7fbc4810
  0x7fbc48105d72


QV4::Value::as
                            const VTable *vt = m()->vtable();
                            while (vt) {
                                if (vt == T::staticVTable())
                                    return static_cast<const T *>(this);
                                vt = vt->parent;
                            }
                            return 0;



# gdb -q --pid 9545
...
(gdb) set height 0
(gdb) set width 0
(gdb) directory /path/to/qtdeclarative-opensource-src-5.6.1/src/qml
...
(gdb) source /usr/share/doc/kdesdk-scripts/examples/kde-devel-gdb
(gdb) up
...
(gdb) 
#6  QV4::Value::as<QV4::QQmlValueTypeWrapper const> (this=0x7fbc2d3bd320) at ../../include/QtQml/5.6.1/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:351
warning: Source file is more recent than executable.
351                 vt = vt->parent;
...
(gdb) print vt
$1 = (const QV4::VTable *) 0x7fbc4810
(gdb) print *vt
Cannot access memory at address 0x7fbc4810


(gdb) up
#7  QQmlBinding::write (this=this@entry=0x55a99a0, core=..., result=..., isUndefined=<optimized out>, flags=...) at qml/qqmlbinding.cpp:257
257                 if (const QV4::QQmlValueTypeWrapper *vtw = result.as<const QV4::QQmlValueTypeWrapper>()) {


(gdb) print/x result._val
$2 = 0x7fbc48105c30
(gdb) print/x *(const QV4::VTable *)result._val
$3 = {parent = 0x7fbc48105d72, isExecutionContext = 0x0, isString = 0x0, isObject = 0x0, isFunctionObject = 0x0, isErrorObject = 0x0, isArrayData = 0x0, unused = 0x0, type = 0x0, className = 0x0, destroy = 0x0, markObjects = 0x0, isEqualTo = 0x0}


(gdb) print/x ((const QV4::VTable *)result._val)->parent
$4 = 0x7fbc48105d72
(gdb) print/x *(((const QV4::VTable *)result._val)->parent)
$5 = {parent = 0x7fbc4810, isExecutionContext = 0x0, isString = 0x0, isObject = 0x0, isFunctionObject = 0x0, isErrorObject = 0x0, isArrayData = 0x0, unused = 0x0, type = 0x0, className = 0x0, destroy = 0x0, markObjects = 0x0, isEqualTo = 0x0}


(gdb) print/x (((const QV4::VTable *)result._val)->parent)->parent
$6 = 0x7fbc4810
(gdb) print/x *((((const QV4::VTable *)result._val)->parent)->parent)
Cannot access memory at address 0x7fbc4810


(gdb) print &QV4::QQmlValueTypeWrapper::static_vtbl
$9 = (const QV4::ObjectVTable *) 0x7fbc5e97f100 <QV4::QQmlValueTypeWrapper::static_vtbl>
Comment 60 Martin Flöser 2016-11-15 07:01:10 UTC
(In reply to Bernhard Übelacker from comment #58)

> Is there anything I can supply (other than a small test case)?

If you have a small test case that would be super helpful.
Comment 61 Martin Flöser 2016-11-15 07:18:52 UTC
*** Bug 372495 has been marked as a duplicate of this bug. ***
Comment 62 Martin Flöser 2016-11-19 17:28:14 UTC
*** Bug 372663 has been marked as a duplicate of this bug. ***
Comment 63 Teunizz 2016-11-20 08:04:29 UTC
Yesterday I reported a Kwin crash (bug 372663) and the status was changed to
"RESOLVED DUPLICATE of bug 372663".
Also, there was a comment "As a workaround use the default breeze window decoration.".

I just switched to the default breeze window decoration. After that I wanted
to check the system tray settings and while I was there, Kwin crashed again:

-- Backtrace:
Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f13e1a80940 (LWP 1437))]

Thread 7 (Thread 0x7f13b633e700 (LWP 1783)):
#0  0x00007f13e11e7b03 in select () at /lib64/libc.so.6
#1  0x00007f13de8bb849 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timespec const*) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f13de8bd0c3 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) () at /usr/lib64/libQt5Core.so.5
#3  0x00007f13de8bd527 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f13de86cfdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f13de6a7f1a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f13d92999b8 in  () at /usr/lib64/libQt5Qml.so.5
#7  0x00007f13de6ac9e9 in  () at /usr/lib64/libQt5Core.so.5
#8  0x00007f13e14b0734 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f13e11eed3d in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7f1324993700 (LWP 1645)):
#0  0x00007f13e14b50af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f132f98e533 in  () at /usr/lib64/dri/r600_dri.so
#2  0x00007f132f98dd57 in  () at /usr/lib64/dri/r600_dri.so
#3  0x00007f13e14b0734 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f13e11eed3d in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7f13b6ffe700 (LWP 1515)):
#0  0x00007f13e14b50af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f13dd84293b in  () at /usr/lib64/libQt5Script.so.5
#2  0x00007f13dd842969 in  () at /usr/lib64/libQt5Script.so.5
#3  0x00007f13e14b0734 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f13e11eed3d in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7f13b7fff700 (LWP 1513)):
#0  0x00007f13e11e7b03 in select () at /lib64/libc.so.6
#1  0x00007f13de8bb849 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timespec const*) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f13de8bd0c3 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) () at /usr/lib64/libQt5Core.so.5
#3  0x00007f13de8bd527 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f13de86cfdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f13de6a7f1a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f13d92999b8 in  () at /usr/lib64/libQt5Qml.so.5
#7  0x00007f13de6ac9e9 in  () at /usr/lib64/libQt5Core.so.5
#8  0x00007f13e14b0734 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f13e11eed3d in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7f13c630c700 (LWP 1463)):
#0  0x00007f13e11e7b03 in select () at /lib64/libc.so.6
#1  0x00007f13de8bb849 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timespec const*) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f13de8bd0c3 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) () at /usr/lib64/libQt5Core.so.5
#3  0x00007f13de8bd527 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f13de86cfdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f13de6a7f1a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f13d847a1d5 in  () at /usr/lib64/libQt5DBus.so.5
#7  0x00007f13de6ac9e9 in  () at /usr/lib64/libQt5Core.so.5
#8  0x00007f13e14b0734 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f13e11eed3d in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7f13c81d3700 (LWP 1457)):
#0  0x00007f13e11e649d in poll () at /lib64/libc.so.6
#1  0x00007f13e036e3e2 in  () at /usr/lib64/libxcb.so.1
#2  0x00007f13e036ffcf in xcb_wait_for_event () at /usr/lib64/libxcb.so.1
#3  0x00007f13c8e83839 in  () at /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f13de6ac9e9 in  () at /usr/lib64/libQt5Core.so.5
#5  0x00007f13e14b0734 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f13e11eed3d in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7f13e1a80940 (LWP 1437)):
[KCrash Handler]
#6  0x00007f13d9285dd0 in QQmlBinding::write(QQmlPropertyData const&, QV4::Value const&, bool, QFlags<QQmlPropertyPrivate::WriteFlag>) () at /usr/lib64/libQt5Qml.so.5
#7  0x00007f13d928724a in QQmlBinding::update(QFlags<QQmlPropertyPrivate::WriteFlag>) () at /usr/lib64/libQt5Qml.so.5
#8  0x00007f13d92902f6 in  () at /usr/lib64/libQt5Qml.so.5
#9  0x00007f13d921e93b in QQmlComponentPrivate::complete(QQmlEnginePrivate*, QQmlComponentPrivate::ConstructionState*) () at /usr/lib64/libQt5Qml.so.5
#10 0x00007f13d921e9f7 in QQmlComponentPrivate::completeCreate() () at /usr/lib64/libQt5Qml.so.5
#11 0x00007f13d921e880 in QQmlComponent::create(QQmlContext*) () at /usr/lib64/libQt5Qml.so.5
#12 0x00007f13c44497cf in  () at /usr/lib64/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so
#13 0x00007f13e0e11ec7 in  () at /usr/lib64/libkwin.so.5
#14 0x00007f13e0cf7511 in KWin::Client::createDecoration(QRect const&) () at /usr/lib64/libkwin.so.5
#15 0x00007f13e0cf7fcb in KWin::Client::updateDecoration(bool, bool) () at /usr/lib64/libkwin.so.5
#16 0x00007f13e0d59266 in KWin::Client::manage(unsigned int, bool) () at /usr/lib64/libkwin.so.5
#17 0x00007f13e0cdb704 in KWin::Workspace::createClient(unsigned int, bool) () at /usr/lib64/libkwin.so.5
#18 0x00007f13e0d47470 in KWin::Workspace::workspaceEvent(xcb_generic_event_t*) () at /usr/lib64/libkwin.so.5
#19 0x00007f13de86c270 in QAbstractEventDispatcher::filterNativeEvent(QByteArray const&, void*, long*) () at /usr/lib64/libQt5Core.so.5
#20 0x00007f13c8e81be4 in QXcbConnection::handleXcbEvent(xcb_generic_event_t*) () at /usr/lib64/libQt5XcbQpa.so.5
#21 0x00007f13c8e83c3b in QXcbConnection::processXcbEvents() () at /usr/lib64/libQt5XcbQpa.so.5
#22 0x00007f13de89a166 in QObject::event(QEvent*) () at /usr/lib64/libQt5Core.so.5
#23 0x00007f13df575e3c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#24 0x00007f13df57a49a in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#25 0x00007f13de86efc5 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#26 0x00007f13de870daa in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib64/libQt5Core.so.5
#27 0x00007f13de8bd4b4 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#28 0x00007f13c8ee594d in  () at /usr/lib64/libQt5XcbQpa.so.5
#29 0x00007f13de86cfdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#30 0x00007f13de874ec6 in QCoreApplication::exec() () at /usr/lib64/libQt5Core.so.5
#31 0x00007f13e16ce9cc in kdemain () at /usr/lib64/libkdeinit5_kwin_x11.so
#32 0x00007f13e11256e5 in __libc_start_main () at /lib64/libc.so.6
#33 0x0000000000400809 in _start ()
Comment 64 Christoph Feck 2016-11-21 23:22:35 UTC
Backtrace from comment #63 still shows it crashes because of Aurorae theme.
Comment 65 Teunizz 2016-11-22 08:42:30 UTC
You are right. I thought I changed the theme but somehow it wasn't completely changed. After solving that, Kwin didn't crash anymore. Sorry for the confusion.
I hope you'll find the cause. And to be honest I do like the new Plasma 5 desktop.
It's only a pitty that it's just not "snappy".
Comment 66 Bernhard Übelacker 2016-11-22 17:17:26 UTC
After the latest updates in Debian Testing I am not able to
reproduce the crash anymore by switching from Breeze to Plastik decorations.

The updates contained mostly Qt from 5.6.1 to 5.7.1~20161021.
And some packages libkf5* and kwin* got just rebuilt at the same version.
Comment 67 Christoph Feck 2016-11-23 02:59:17 UTC
*** Bug 372817 has been marked as a duplicate of this bug. ***
Comment 68 Martin Flöser 2016-11-26 19:05:46 UTC
*** Bug 372962 has been marked as a duplicate of this bug. ***
Comment 69 Martin Flöser 2016-11-29 06:19:39 UTC
*** Bug 373043 has been marked as a duplicate of this bug. ***
Comment 70 Martin Flöser 2016-12-02 18:55:38 UTC
*** Bug 373170 has been marked as a duplicate of this bug. ***
Comment 71 Martin Flöser 2016-12-03 13:49:55 UTC
*** Bug 373212 has been marked as a duplicate of this bug. ***
Comment 72 Martin Flöser 2016-12-08 18:33:44 UTC
*** Bug 373413 has been marked as a duplicate of this bug. ***
Comment 73 Martin Flöser 2016-12-09 17:25:55 UTC
*** Bug 373472 has been marked as a duplicate of this bug. ***
Comment 74 Christoph Feck 2016-12-13 13:28:33 UTC
*** Bug 373604 has been marked as a duplicate of this bug. ***
Comment 75 Martin Flöser 2016-12-18 08:53:03 UTC
*** Bug 373785 has been marked as a duplicate of this bug. ***
Comment 76 Martin Flöser 2016-12-18 08:53:34 UTC
*** Bug 373800 has been marked as a duplicate of this bug. ***
Comment 77 Martin Flöser 2016-12-21 19:18:22 UTC
*** Bug 373805 has been marked as a duplicate of this bug. ***
Comment 78 Andreas Hartmann 2016-12-21 20:01:14 UTC
(In reply to Bernhard Übelacker from comment #66)
> After the latest updates in Debian Testing I am not able to
> reproduce the crash anymore by switching from Breeze to Plastik decorations.
> 
> The updates contained mostly Qt from 5.6.1 to 5.7.1~20161021.
> And some packages libkf5* and kwin* got just rebuilt at the same version.

Leap 42.2: I switched to the QT5.7 / Frameworks5 repository and I couldn't see the problem any more, too. But therefore, I got a lot of other problems / crashes (e.g. with systemsettings5 and the desktop itself being suddenly completely black). Therefore I decided to switch back to original packages again and to use Breeze which works fine.
Comment 79 Christoph Feck 2016-12-21 20:35:24 UTC
*** Bug 374002 has been marked as a duplicate of this bug. ***
Comment 80 Evgeni 2016-12-21 22:07:55 UTC
Created attachment 102927 [details]
New crash information added by DrKonqi

kwin_x11 (5.8.3) using Qt 5.6.1

- What I was doing when the application crashed:
From Chromium trying to install package from opensuse page and when i press '1-click install' and new window opens for instalation software , crash message appears but all continue to work after.

-- Backtrace (Reduced):
#6  QV4::Value::as<QV4::QQmlValueTypeWrapper const> (this=0x7f73cd2fa320) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/qml/jsruntime/qv4value_p.h:348
#7  QQmlBinding::write (this=this@entry=0x2da01e0, core=..., result=..., isUndefined=<optimized out>, flags=...) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/qml/qml/qqmlbinding.cpp:257
#8  0x00007f7494f6e24a in QQmlBinding::update (this=0x2da01e0, flags=...) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/qml/qml/qqmlbinding.cpp:191
#9  0x00007f7494f772f6 in QQmlObjectCreator::finalize (this=0x2ed2570, interrupt=...) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/qml/qml/qqmlobjectcreator.cpp:1193
#10 0x00007f7494f0593b in QQmlComponentPrivate::complete (enginePriv=0x2896620, state=state@entry=0x2ad3910) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/qml/qml/qqmlcomponent.cpp:919
Comment 81 Martin Flöser 2016-12-22 15:53:14 UTC
*** Bug 374034 has been marked as a duplicate of this bug. ***
Comment 82 Martin Flöser 2016-12-24 08:52:25 UTC
*** Bug 374100 has been marked as a duplicate of this bug. ***
Comment 83 Martin Flöser 2016-12-25 17:08:46 UTC
*** Bug 374129 has been marked as a duplicate of this bug. ***
Comment 84 Martin Flöser 2017-01-03 15:45:38 UTC
*** Bug 374491 has been marked as a duplicate of this bug. ***
Comment 85 Michael 2017-01-04 21:03:57 UTC
See bug 374120 for new results after changing to breeze decorations.
Comment 86 Martin Flöser 2017-01-05 06:44:04 UTC
*** Bug 374129 has been marked as a duplicate of this bug. ***
Comment 87 Martin Flöser 2017-01-05 13:00:42 UTC
*** Bug 374592 has been marked as a duplicate of this bug. ***
Comment 88 Martin Flöser 2017-01-06 08:07:08 UTC
*** Bug 374618 has been marked as a duplicate of this bug. ***
Comment 89 qvas 2017-01-06 11:28:30 UTC
Dear Martin,

Thanks for keeping me informed.

May I have a question? A recent migration to Plasma 5 (on OpenSUSE Leap
42.2) has forced me to take a greater interest in the concept of
activities (much of the beauty and utility of virtual desktops being
lost in the new version of KDE :-(). I'm beginning to see its enormous
potential, which is, however -- sadly! -- underexploited due to a
number of minor but annoying design faults. Is there a place where I
could share my insights and, hopefully, contribute to the conceptual
development of Plasma?

And, of course, my everlasting thanks to you and the KDE community for
your efforts and your excellent product(s)!

Best wishes,
Krzysztof


On Fri, 06 Jan 2017 08:07:08 +0000
Martin Gräßlin <bugzilla_noreply@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=361236
> 
> Martin Gräßlin <mgraesslin@kde.org> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|
> |sid1950@btinternet.com
> 
> --- Comment #88 from Martin Gräßlin <mgraesslin@kde.org> ---
> *** Bug 374618 has been marked as a duplicate of this bug. ***
>
Comment 90 Martin Flöser 2017-01-07 15:03:07 UTC
*** Bug 374681 has been marked as a duplicate of this bug. ***
Comment 91 Martin Flöser 2017-01-08 10:09:02 UTC
*** Bug 374711 has been marked as a duplicate of this bug. ***
Comment 92 Martin Flöser 2017-01-10 16:06:42 UTC
*** Bug 374681 has been marked as a duplicate of this bug. ***
Comment 93 Christoph Feck 2017-01-10 19:36:59 UTC
*** Bug 374711 has been marked as a duplicate of this bug. ***
Comment 94 Martin Flöser 2017-01-14 08:28:39 UTC
*** Bug 375023 has been marked as a duplicate of this bug. ***
Comment 95 Martin Flöser 2017-01-14 17:30:43 UTC
*** Bug 375038 has been marked as a duplicate of this bug. ***
Comment 96 Martin Flöser 2017-01-18 15:42:26 UTC
*** Bug 375242 has been marked as a duplicate of this bug. ***
Comment 97 Martin Flöser 2017-01-22 08:51:18 UTC
*** Bug 375389 has been marked as a duplicate of this bug. ***
Comment 98 Martin Flöser 2017-01-22 08:53:54 UTC
*** Bug 375400 has been marked as a duplicate of this bug. ***
Comment 99 Martin Flöser 2017-01-22 16:11:08 UTC
*** Bug 375407 has been marked as a duplicate of this bug. ***
Comment 100 Martin Flöser 2017-01-24 06:13:34 UTC
*** Bug 375389 has been marked as a duplicate of this bug. ***
Comment 101 Martin Flöser 2017-02-07 17:25:44 UTC
*** Bug 376125 has been marked as a duplicate of this bug. ***
Comment 102 Martin Flöser 2017-03-10 06:14:10 UTC
*** Bug 377440 has been marked as a duplicate of this bug. ***
Comment 103 Christoph Feck 2017-03-14 03:54:32 UTC
*** Bug 377576 has been marked as a duplicate of this bug. ***
Comment 104 Martin Flöser 2017-04-02 09:00:00 UTC
*** Bug 378346 has been marked as a duplicate of this bug. ***
Comment 105 Martin Flöser 2017-04-02 09:00:27 UTC
*** Bug 378291 has been marked as a duplicate of this bug. ***
Comment 106 Martin Flöser 2017-04-02 09:06:21 UTC
*** Bug 378230 has been marked as a duplicate of this bug. ***
Comment 107 Martin Flöser 2017-04-02 09:07:40 UTC
*** Bug 378245 has been marked as a duplicate of this bug. ***
Comment 108 Martin Flöser 2017-04-02 09:08:12 UTC
*** Bug 378246 has been marked as a duplicate of this bug. ***
Comment 109 Martin Flöser 2017-04-02 09:13:31 UTC
*** Bug 377813 has been marked as a duplicate of this bug. ***
Comment 110 Martin Flöser 2017-04-02 09:13:59 UTC
*** Bug 377804 has been marked as a duplicate of this bug. ***
Comment 111 Martin Flöser 2017-04-03 15:39:23 UTC
*** Bug 378398 has been marked as a duplicate of this bug. ***
Comment 112 Martin Flöser 2017-04-03 16:24:31 UTC
*** Bug 378401 has been marked as a duplicate of this bug. ***
Comment 113 Lubos Lunak 2017-04-11 10:39:50 UTC
This is a Qt bug and has already been fixed by http://code.qt.io/cgit/qt/qtdeclarative.git/commit/?id=4d375f3f2b95bfcb322402df3525db6cc7a723ce .
Comment 114 Martin Flöser 2017-04-11 15:07:28 UTC
Thanks Lubos! I just sent a mail to distributions as a request to include the patch.
Comment 115 Lubos Lunak 2017-04-13 09:49:38 UTC
*** Bug 374408 has been marked as a duplicate of this bug. ***
Comment 116 Martin Flöser 2017-04-14 17:52:41 UTC
*** Bug 378782 has been marked as a duplicate of this bug. ***
Comment 117 Martin Flöser 2017-04-18 15:01:33 UTC
*** Bug 378907 has been marked as a duplicate of this bug. ***
Comment 118 Martin Flöser 2017-05-02 07:49:20 UTC
*** Bug 379376 has been marked as a duplicate of this bug. ***
Comment 119 Martin Flöser 2017-05-05 17:09:27 UTC
*** Bug 379558 has been marked as a duplicate of this bug. ***
Comment 120 Martin Flöser 2017-05-10 15:13:52 UTC
*** Bug 379687 has been marked as a duplicate of this bug. ***
Comment 121 Christoph Feck 2017-06-06 14:58:17 UTC
*** Bug 380184 has been marked as a duplicate of this bug. ***
Comment 122 Christoph Feck 2017-06-06 15:06:33 UTC
*** Bug 380226 has been marked as a duplicate of this bug. ***
Comment 123 Christoph Feck 2017-06-25 09:48:49 UTC
*** Bug 381610 has been marked as a duplicate of this bug. ***
Comment 124 Christoph Feck 2017-06-27 12:29:18 UTC
*** Bug 381610 has been marked as a duplicate of this bug. ***
Comment 125 Martin Flöser 2017-07-06 17:24:01 UTC
*** Bug 382059 has been marked as a duplicate of this bug. ***
Comment 126 Martin Flöser 2018-02-06 05:18:45 UTC
*** Bug 389936 has been marked as a duplicate of this bug. ***
Comment 127 Martin Flöser 2018-04-13 06:12:43 UTC
*** Bug 393063 has been marked as a duplicate of this bug. ***
Comment 128 David Edmundson 2018-07-14 17:06:20 UTC
*** Bug 396506 has been marked as a duplicate of this bug. ***